[SCM] Samba Website Repository - branch master updated

Stefan Metzmacher metze at samba.org
Tue Oct 20 11:08:37 UTC 2015


The branch, master has been updated
       via  dcbfb30 announce_samba_release.sh: this script will import the release announcement as git patch
       via  e1aec88 prepare_news.sh: the webserver update may take up to 10 mins.
      from  ebb5566 Change Dan Shearer link to point to personal website

https://git.samba.org/?p=samba-web.git;a=shortlog;h=master


- Log -----------------------------------------------------------------
commit dcbfb307c641e4e08b618ca94714e4af20238ee7
Author: Stefan Metzmacher <metze at samba.org>
Date:   Wed Sep 9 05:23:43 2015 +0200

    announce_samba_release.sh: this script will import the release announcement as git patch
    
    It will replace @UTCTIME@ and @UTCDATE@ in the patchfile in order
    to publish the generated news correctly.
    
    Signed-off-by: Stefan Metzmacher <metze at samba.org>

commit e1aec88b434821a4eea817fc756fad64890701ea
Author: Stefan Metzmacher <metze at samba.org>
Date:   Wed Sep 9 05:23:04 2015 +0200

    prepare_news.sh: the webserver update may take up to 10 mins.
    
    Signed-off-by: Stefan Metzmacher <metze at samba.org>

-----------------------------------------------------------------------

Summary of changes:
 announce_samba_release.sh | 108 ++++++++++++++++++++++++++++++++++++++++++++++
 prepare_news.sh           |   3 +-
 2 files changed, 110 insertions(+), 1 deletion(-)
 create mode 100755 announce_samba_release.sh


Changeset truncated at 500 lines:

diff --git a/announce_samba_release.sh b/announce_samba_release.sh
new file mode 100755
index 0000000..c853e47
--- /dev/null
+++ b/announce_samba_release.sh
@@ -0,0 +1,108 @@
+#!/bin/sh
+#
+
+SAVE_LC_ALL="${LC_ALL}"
+SAVE_LANG="${LANG}"
+SAVE_LANGUAGE="${LANGUAGE}"
+
+LC_ALL=C
+export LC_ALL
+LANG=C
+export LANG
+LANGUAGE=C
+export LANGUAGE
+
+set -u
+set -e
+umask 0022
+
+test -d ".git" || {
+	echo "Run this script from the top-level directory in the"
+	echo "repository"
+	exit 1
+}
+
+usage() {
+	echo "usage: $0 <NAME> <PATCHFILE>"
+	echo "$@"
+}
+
+NAME=${1-}
+test -n "${NAME}" || {
+	usage name
+	exit 1
+}
+PATCHFILE=${2-}
+test -n "${PATCHFILE}" || {
+	usage patchfile
+	exit 1
+}
+
+test -f "${PATCHFILE}" || {
+	usage file
+	exit 1
+}
+
+grep -q "<a name=\"${NAME}\"" "${PATCHFILE}" || {
+	echo "NAME[${NAME}] does not match content of PATCHFILE[${PATCHFILE}]"
+	exit 1
+}
+
+grep -q "<a name=\"${NAME}\"" posted_news/*.body.html && {
+	echo "NAME[${NAME}] is not unique, choose another name"
+	grep "<a name=\"${NAME}\"" posted_news/*.body.html
+	exit 1
+}
+
+nd=$(git diff -p --stat HEAD | wc -l)
+test x"${nd}" = x"0" || {
+	echo "You have uncommited changes your working tree"
+	git status
+	exit 1
+}
+
+trap_handler() {
+	echo ""
+	echo "ERROR: cleaning up"
+	echo ""
+
+	for f in ${CLEANUP_FILES}; do
+		echo "Removing file[${f}]"
+		test -f "${f}" && {
+			rm "${f}" || {
+				echo "failed to remove ${f}"
+			}
+		}
+	done
+
+	test -n "${CLEANUP_RESET_COMMIT}" && {
+		echo "Reverting to commit[${CLEANUP_RESET_COMMIT}]"
+		git reset "${CLEANUP_RESET_COMMIT}"
+	}
+}
+
+CLEANUP_FILES=""
+trap trap_handler INT QUIT TERM EXIT
+
+utcdate=$(date --utc +"%d %B %Y")
+utctime=$(date --utc +"%Y%m%d-%H%M%S")
+
+CLEANUP_FILES=""
+CLEANUP_RESET_COMMIT="HEAD"
+cat "${PATCHFILE}" | \
+	sed -e "s!@UTCTIME@!${utctime}!g" -e "s!@UTCDATE@!${utcdate}!g" | \
+	git am --ignore-whitespace
+CLEANUP_RESET_COMMIT="HEAD^"
+
+echo ""
+echo "Once you have pushed the commit a cronjob updates"
+echo "the webserver content every 5-10 mins."
+echo ""
+echo "Please verify the commit carefully before pushing:"
+echo ""
+echo "  git show -p --stat HEAD"
+echo "  git push ..."
+echo ""
+
+trap - INT QUIT TERM EXIT
+exit 0
diff --git a/prepare_news.sh b/prepare_news.sh
index 31150a4..683dbb5 100755
--- a/prepare_news.sh
+++ b/prepare_news.sh
@@ -145,8 +145,9 @@ git add ${headlinefile} ${bodyfile} ${snipfile}
 git commit --signoff --message "NEWS[${NAME}]: ${HEADLINE}"
 CLEANUP_RESET_COMMIT="HEAD^"
 
+echo ""
 echo "Once you have pushed the commit a cronjob updates"
-echo "the webserver content every 5 mins."
+echo "the webserver content every 5-10 mins."
 echo ""
 echo "Please verify the commit carefully before pushing:"
 echo ""


-- 
Samba Website Repository



More information about the samba-cvs mailing list